{
	"name": "AOS Barrelfish",
	
	"build": {
		"dockerfile": "Dockerfile",
	},

	"containerEnv": {
		"BFAOS": "${containerWorkspaceFolder}",
		"BFBUILD": "${containerWorkspaceFolder}/build",
		"BFBUILD_QEMU": "${containerWorkspaceFolder}/build_qemu",
	},

	"extensions": [
		"ms-azuretools.vscode-docker",
		"ms-vscode.cpptools-extension-pack",
		"eamodio.gitlens",
	],

	// allow access to the toradex board
	"runArgs": ["--privileged"],
	// "mounts":  ["type=bind,src=/dev/bus/usb,dst=/dev/bus/usb"],

	"remoteUser": "vscode",
}

